import { computed } from "vue";
import { useStore } from "vuex";
import { useRoute, useRouter } from "vue-router";
/**
 * 获取用户会员到期时间
 */
export const useExpireTime = () => {
  const store = useStore();
  const expireTime = computed(() => store.getters.getUserData.expireTime);
  return {
    expireTime,
  };
};

/**
 * 获取路由query
 * @returns
 */
export const useRouteQuery = () => {
  const route = useRoute();
  const query = route.query;
  return {
    query,
  };
};

/**
 * 路由转发汇总class模式书写,需要注意this指向
 * @returns
 */
export class RouterBus {
  router;
  route;
  constructor() {
    this.router = useRouter();
    this.route = useRoute();
  }
  /**
   * 会员购买页
   */
  goBuyVip = () => {
    this.router.push("/buyVip");
  };
  /**
   * 模拟考试页
   */
  goMockTest = () => {
    this.router.push({ path: "/mockTest", query: this.route.query });
  };
}
